Bug 145712 - unknown usb flash device
unknown usb flash device
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Depends On:
  Show dependency treegraph
Reported: 2005-01-20 14:57 EST by Jack Neely
Modified: 2012-06-20 09:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:32:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jack Neely 2005-01-20 14:57:46 EST
I have a PNY 128MB USB flash device that is not recognized and
auto-mounted by RHEL4 beta2.  (Kernel sees it, can mount by hand.)
It does work in FC3.

FC3's kudzu reports:

class: HD
bus: USB
detached: 0
driver: usb-storage
desc: "Phison Electronics Corp. Flash Disk"
usbclass: 8
usbsubclass: 6
usbprotocol: 50
usbbus: 1
usblevel: 1
usbport: 0
usbdev: 4
vendorId: 0d7d
deviceId: 1300
usbprod: USB DISK 2.0
Comment 1 David Zeuthen 2005-01-24 17:39:49 EST
Hi, sorry for the lag. What versions of hal, kernel, udev are you
using on RHEL4 vs. FC3?

Comment 2 Jack Neely 2005-01-24 17:47:13 EST
RHEL4 beta2:
hal: hal-0.4.0-10
kernel: kernel-smp-2.6.9-5.EL
udev: udev-039-10.1.EL4

hal: hal-0.4.5-1.FC3
kernel: kernel-2.6.10-1.741_FC3
udev: udev-039-10.FC3.6
Comment 3 David Zeuthen 2005-01-24 17:57:34 EST
Thanks for the info. Could you try upgrading to these HAL packages


to see if they fix the bug? They are built for FC3 but should also
work for RHEL4, otherwise you may rebuild from the src.rpm.
Comment 4 Jack Neely 2005-02-03 13:34:31 EST
The drive does work with the updated HAL packages.
Comment 5 Jiri Pallich 2012-06-20 09:32:48 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.